LORDSAWAR-GAME-HOST-CLIENT(6)

NAME
lordsawar-game-host-client - administer or query a game host server

SYNOPSIS
lordsawar-game-host-client [OPTION...] HOST

DESCRIPTION
A command-line tool to manage a LordsAWar! game host server located at HOST. Start hosting new games, stop hosting games, or ask it for a list of hosted games.

-p, --profile ID
    Use this identity to make requests to the remote server. The ID looks like a guid.

-h, --host FILE
    Ask the server to host a new game. This command uploads FILE to the remote server begins a new game with it. FILE is .map scenario file.

-u, --unhost ID
    Ask the server to stop hosting a game. The ID looks like a guid.

-p, --port NUMBER
    Connect to the remote server on the given port.

-t, --terminate
    Ask the server to stop. The games continue to be hosted, but our ability to control them (or host new games), goes away until the server starts back up.

-r, --reload
    Ask the server to reload it's list of hosted games from disk.

-l, --list
    Ask the server to show a list of games it is hosting.

-?, --help
    Give this help list.

When --profile is not specified, the first profile in profiles.xml is used by default. When a --port is not specified, port 22998 is assumed. When HOST is not specified on the command-line, 127.0.0.1 is assumed.

FILES

~/.lordsawarrc
    The configuration file.

~/.lordsawar/profiles.xml
    The data file representing the list of profiles.

REPORTING BUGS
Report bugs to <https://savannah.nongnu.org/bugs/?group=lordsawar>.